var __cancelled;
var __warn;

// Checks if a filter is already a regular expression. if warn is true,
// the user is warned.
function isRegExp(filter, warn) {	
	if (filter.charAt(0) == "/" &&
		filter.charAt( filter.length - 1) == "/") {
		return true;	
	} else {
		return false;
	}
}

// Warns the user that he has entered a regular expression. 
// Returns true if the user is ok with this. false if he wants to change the filter.
function warnRegExp() {
	try {
		prefObj = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
		var Branch = prefObj.getBranch("adblock.");
		var warn = Branch.getBoolPref("warnregexp");
	} catch(exception) { }	
	
	if (warn == undefined || warn == true) {
		window.openDialog("chrome://adblock/content/warnregexpdialog.xul","Warn regular expression",
						  "chrome,modal,centerscreen", warnResult);		
		if (__warn) {
			prefObj = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
			var Branch = prefObj.getBranch("adblock.");
			Branch.setBoolPref("warnregexp", false);
		}
		
		if (__cancelled) 
			return false; // The filter is not ok.
	}
	return true; // The filter is ok.
}

function warnResult(cancelled, warnagain) {
	__cancelled = cancelled;
	__warn = warnagain;
}